Skip to content

List bookable services

GET
/api/public/{slug}/services
curl --request GET \
--url https://example.com/api/public/example/services
slug
required
string

Default Response

Media typeapplication/json
object
data
required
Array<object>
object
id
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
name
required
string
description
required
Any of:
string
durationMinutes
required
integer
>= -9007199254740991 <= 9007199254740991
priceCents
required
integer
>= -9007199254740991 <= 9007199254740991
depositCents
required
integer
>= -9007199254740991 <= 9007199254740991
category
required
Any of:
string
color
required
Any of:
string
locationType
required
string
Allowed values: in_person phone zoom
locationOptions
required
Array<string>
isVirtual
required
boolean
imageUrl
required
Any of:
string
vendureVariantId
required
string
vendureProductId
required
Any of:
string
Example
{
"data": [
{
"locationType": "in_person"
}
]
}